Subject: bug#10260: closed (Re: bug#10260: 24.0.92; update-subdirs specifies file variables twice)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Dec 2011 12:55:02 +0000

Your bug report

#10260: 24.0.92; update-subdirs specifies file variables twice

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10260: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10260
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10260: 24.0.92; update-subdirs specifies file variables twice
From: Juanma Barranquero <[email-masked]>
To: Ulrich Mueller <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Dec 2011 13:52:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.93

On Sat, Dec 10, 2011 at 11:09, Ulrich Mueller <[email-masked]> wrote:

> I guess the -*- line could be removed.

Fixed in revno:106653.

I've also changed lisp/makefile.w32-in to set a Local Variables
section with "version-control: never", as the POSIX version does.

    Juanma

Subject: 24.0.92; update-subdirs specifies file variables twice
From: Ulrich Mueller <[email-masked]>
To: [email-masked]
Date: Sat, 10 Dec 2011 11:09:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

lisp/subdirs.el has "-*- no-byte-compile: t -*-" in its first line and
also assigns it in a Local Variables block. These were added to
update-subdirs long time ago in [1] and [2], respectively.

I guess the -*- line could be removed.

[1] <http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/47712>
[2] <http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/54452>